Bug 1795820 - abrt fails to build with gcc 10: multiple definition of `g_abrt_oops_sleep_woke_up_on_signal'
Summary: abrt fails to build with gcc 10: multiple definition of `g_abrt_oops_sleep_wo...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: abrt
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Martin Kutlak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F32FTBFS PYTHON39 GCC10
TreeView+ depends on / blocked
 
Reported: 2020-01-28 23:43 UTC by Miro Hrončok
Modified: 2020-01-31 09:59 UTC (History)
10 users (show)

Fixed In Version: abrt-2.13.0-4.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-31 09:59:37 UTC
Type: Bug


Attachments (Terms of Use)

Description Miro Hrončok 2020-01-28 23:43:49 UTC
abrt fails to build with gcc 10:

/bin/sh ../../libtool  --tag=CC   --mode=link gcc  -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fexceptions -fstack-protector-strong -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection -fcf-protection -Werror -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE           -D_FILE_OFFSET_BITS=64 -fno-strict-aliasing -std=gnu99 -Wall -Wwrite-strings  -Wl,-z,relro -Wl,--as-needed  -Wl,-z,now -specs=/usr/lib/rpm/redhat/redhat-hardened-ld -o abrt-dump-oops abrt_dump_oops-oops-utils.o abrt_dump_oops-abrt-dump-oops.o -lgio-2.0 -lgobject-2.0 -lglib-2.0  -lreport -lglib-2.0  -lsatyr -ljson-c  ../lib/libabrt.la 
libtool: link: gcc -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fexceptions -fstack-protector-strong -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection -fcf-protection -Werror -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 -fno-strict-aliasing -std=gnu99 -Wall -Wwrite-strings -Wl,-z -Wl,relro -Wl,--as-needed -Wl,-z -Wl,now -specs=/usr/lib/rpm/redhat/redhat-hardened-ld -o .libs/abrt-dump-oops abrt_dump_oops-oops-utils.o abrt_dump_oops-abrt-dump-oops.o  ../lib/.libs/libabrt.so -lgio-2.0 -lgobject-2.0 -lreport -lglib-2.0 -lsatyr -ljson-c
make[3]: Leaving directory '/builddir/build/BUILD/abrt-2.13.0/src/plugins'
/usr/bin/ld: abrt_dump_oops-abrt-dump-oops.o:/builddir/build/BUILD/abrt-2.13.0/src/plugins/oops-utils.h:36: multiple definition of `g_abrt_oops_sleep_woke_up_on_signal'; abrt_dump_oops-oops-utils.o:/builddir/build/BUILD/abrt-2.13.0/src/plugins/oops-utils.h:36: first defined here
collect2: error: ld returned 1 exit status


This blocks the Python 3.9 rebuild of the package.

See https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/thread/RYVPP45PMWPXYBBDKXO3CI7YGL7CDQG6/ and https://gcc.gnu.org/gcc-10/porting_to.html#common for more information about the failure.

Comment 1 ekulik 2020-01-29 07:33:08 UTC
https://github.com/abrt/abrt/pull/1436 should fix it.

Comment 2 Fedora Update System 2020-01-31 09:55:25 UTC
FEDORA-2020-d90c7ab277 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-d90c7ab277


Note You need to log in before you can comment on or make changes to this bug.